package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.LiveGoods;
import com.ym.mec.biz.dal.page.LiveGoodsQueryInfo;
import com.ym.mec.common.service.BaseService;

public interface LiveGoodsService extends BaseService<Integer, LiveGoods> {

    void updateLiveGoods(LiveGoods liveGoods);

    void deleteLiveGoods(Integer goodsId);

    //初始化商品缓存
    void initGoodsStockCache(Integer liveGoodsId, String liveId);

    //商品库存+1
    void addGoodsStock(Integer liveGoodsId, String liveId);

    //商品库存-1
    void reduceGoodsStock(Integer liveGoodsId, String liveId);

    //商品冻结库存+1
    void addGoodsFreezeStock(Integer liveGoodsId, String liveId);

    //商品冻结库存-1
    void reduceGoodsFreezeStock(Integer liveGoodsId, String liveId);

    Object queryGoodsPage(LiveGoodsQueryInfo queryInfo);

    void add(LiveGoods liveGoods);
}